# $Revision: 1.20 $, $Date: 2009/12/16 13:29:20 $
Summary:	lbxutil library - Low Bandwidth X extension (LBX) utility routines
Summary(pl.UTF-8):	Biblioteka lbxutil z funkcjami rozszerzenia LBX (Low Bandwidth X)
Name:		xorg-lib-liblbxutil
Version:	1.1.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/liblbxutil-%{version}.tar.bz2
# Source0-md5:	273329a78c2e9ea189ac416c7fde94a1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lbxutil library contains Low Bandwidth X extension (LBX) utility
routines.

%description -l pl.UTF-8
Biblioteka lbxutil zawiera funkcje narzędziowe rozszerzenia LBX (Low
Bandwidth X - X o niskim wykorzystaniu pasma).

%package devel
Summary:	Header files for liblbxutil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblbxutil
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xextproto-devel >= 7.0.99.1
Requires:	zlib-devel
Conflicts:	xorg-lib-libXext-devel < 1.1.1-3

%description devel
lbxutil library contains Low Bandwidth X extension (LBX) utility
routines.

This package contains the header files needed to develop programs that
use liblbxutil.

%description devel -l pl.UTF-8
Biblioteka lbxutil zawiera funkcje narzędziowe rozszerzenia LBX (Low
Bandwidth X - X o niskim wykorzystaniu pasma).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki liblbxutil.

%package static
Summary:	Static liblbxutil library
Summary(pl.UTF-8):	Biblioteka statyczna liblbxutil
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static liblbxutil library.

%description static -l pl.UTF-8
Pakiet zawiera statyczna bibliotekę liblbxutil.

%prep
%setup -q -n liblbxutil-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/liblbxutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblbxutil.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblbxutil.so
%{_libdir}/liblbxutil.la
%{_includedir}/X11/extensions/lbx*.h
%{_pkgconfigdir}/lbxutil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblbxutil.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-liblbxutil.spec,v $
Revision 1.20  2009/12/16 13:29:20  qboosh
- Conflicts libXext-devel < 1.1.1-3

Revision 1.19  2009/12/15 13:29:33  qboosh
- updated to 1.1.0
- real summaries

Revision 1.18  2008/07/27 23:04:12  arekm
- release 4

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/05/26 16:05:50  qboosh
- updated to 1.0.1, release 1

Revision 1.12  2005/12/28 15:13:36  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 14:53:02  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 12:34:26  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 19:55:00  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 18:41:35  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 17:38:48  wiget
- zlib not libz

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 12:55:04  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: libz-devel
- added R: libz-devel to devel package

* Sat Aug 13 2005 12:45:22  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- added %%doc
- release 0.02

* Fri Aug  5 2005 21:45:33  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
